## libglibutil 1.0.79

=== test/Makefile ===
# -*- Mode: makefile-gmake -*-

all:
%:
	@$(MAKE) -C test_datapack $*
	@$(MAKE) -C test_history $*
	@$(MAKE) -C test_idlepool $*
	@$(MAKE) -C test_idlequeue $*
	@$(MAKE) -C test_inotify $*
	@$(MAKE) -C test_intarray $*
	@$(MAKE) -C test_ints $*
	@$(MAKE) -C test_log $*
	@$(MAKE) -C test_misc $*
	@$(MAKE) -C test_objv $*
	@$(MAKE) -C test_ring $*
	@$(MAKE) -C test_strv $*
	@$(MAKE) -C test_weakref $*
