=== test/test_datapack/Makefile ===
# -*- Mode: makefile-gmake -*-

EXE = test_datapack

include ../common/Makefile
