=== test/test_idlepool/Makefile ===
# -*- Mode: makefile-gmake -*-

EXE = test_idlepool

include ../common/Makefile
