=== test/test_inotify/Makefile ===
# -*- Mode: makefile-gmake -*-

EXE = test_inotify

include ../common/Makefile
