=== test/test_intarray/Makefile ===
# -*- Mode: makefile-gmake -*-

EXE = test_intarray

include ../common/Makefile
