=== test/test_ints/Makefile ===
# -*- Mode: makefile-gmake -*-

EXE = test_ints

include ../common/Makefile
