=== test/test_ring/Makefile ===
# -*- Mode: makefile-gmake -*-

EXE = test_ring

include ../common/Makefile
