=== test/test_strv/Makefile ===
# -*- Mode: makefile-gmake -*-

EXE = test_strv

include ../common/Makefile
