=== debian/changelog ===
libglibutil (1.0.79) unstable; urgency=low

  * Exported gutil_source_remove() and Added gutil_source_clear()

 -- Slava Monich <slava@monich.com>  Thu, 02 May 2024 17:40:30 +0300

libglibutil (1.0.78) unstable; urgency=low

  * Added gutil_source_remove()
  * Added gutil_source_clear()

 -- Slava Monich <slava@monich.com>  Thu, 02 May 2024 04:43:18 +0300

libglibutil (1.0.77) unstable; urgency=low

  * Eliminate defects found by Coverity

 -- Slava Monich <slava@monich.com>  Wed, 10 Apr 2024 04:13:16 +0300

libglibutil (1.0.76) unstable; urgency=low

  * Added gutil_idle_pool_get_default()
  * Return the value pushed to the idle pool
  * Interpret NULL as the default pool when appropriate

 -- Slava Monich <slava@monich.com>  Sun, 28 Jan 2024 02:36:16 +0200

libglibutil (1.0.75) unstable; urgency=low

  * Cross-compilation tweaks
  * Compatibility with clang -fsanitize=cfi
  * Export all and only required symbols

 -- Slava Monich <slava@monich.com>  Fri, 01 Dec 2023 02:01:34 +0200

libglibutil (1.0.74) unstable; urgency=low

  * Added Added gutil_data_copy_as_variant()

 -- Slava Monich <slava@monich.com>  Sun, 10 Sep 2023 04:11:17 +0300

libglibutil (1.0.73) unstable; urgency=low

  * Define and use MAKE var instead of explicitly calling make
  * Added gutil_log_set_timestamp_format()

 -- Slava Monich <slava@monich.com>  Tue, 05 Sep 2023 15:53:55 +0300

libglibutil (1.0.72) unstable; urgency=low

  * Don't export gutil_time_notify_get_type()
  * Added gutil_data_new()
  * Added gutil_data_copy()
  * Added gutil_objv_new()

 -- Slava Monich <slava@monich.com>  Sun, 20 Aug 2023 02:05:13 +0300

libglibutil (1.0.71) unstable; urgency=low

  * Added gutil_object_ref()
  * Added gutil_object_unref()
  * Added gutil_objv_append()
  * Added gutil_objv_insert()
  * Added gutil_ptrv_is_empty()
  * Added gutil_bin2hex()
  * Added gutil_data2hex()

 -- Slava Monich <slava@monich.com>  Sun, 18 Jun 2023 14:24:13 +0300

libglibutil (1.0.70) unstable; urgency=low

  * Added gutil_objv module

 -- Slava Monich <slava@monich.com>  Mon, 29 May 2023 01:35:08 +0300

libglibutil (1.0.69) unstable; urgency=low

  * Runtime and compile time version detection
  * Added gutil_datapack module
  * Require glib 2.32

 -- Slava Monich <slava@monich.com>  Thu, 06 Apr 2023 02:13:48 +0300

libglibutil (1.0.68) unstable; urgency=low

  * Added gutil_weakref module
  * Fixed a few compilation warnings
  * Packaging tweaks

 -- Slava Monich <slava@monich.com>  Sat, 04 Feb 2023 04:26:45 +0200

libglibutil (1.0.67) unstable; urgency=low

  * Added gutil_log_dump_bytes()

 -- Slava Monich <slava.monich@jolla.com>  Fri, 15 Jul 2022 03:02:33 +0300

libglibutil (1.0.66) unstable; urgency=low

  * Bumped debhelper compat level to 7

 -- Slava Monich <slava.monich@jolla.com>  Fri, 15 Jul 2022 03:02:33 +0300

libglibutil (1.0.65) unstable; urgency=low

  * Fixed a Musl compatibility issue

 -- Slava Monich <slava.monich@jolla.com>  Thu, 16 Jun 2022 02:12:22 +0300

libglibutil (1.0.64) unstable; urgency=low

  * Resolved a mysterious parallel build issue

 -- Slava Monich <slava.monich@jolla.com>  Tue, 17 May 2022 03:56:50 +0300

libglibutil (1.0.63) unstable; urgency=low

  * Added gutil_bytes_has_prefix()
  * Added gutil_bytes_has_suffix()

 -- Slava Monich <slava.monich@jolla.com>  Sat, 23 Apr 2022 21:24:25 +0300

libglibutil (1.0.62) unstable; urgency=low

  * Added gutil_strlen0()
  * Added gutil_strv_find_last()
  * Added gutil_strv_remove_dups()

 -- Slava Monich <slava.monich@jolla.com>  Sun, 13 Mar 2022 21:59:26 +0200

libglibutil (1.0.61) unstable; urgency=low

  * Added gutil_strv_remove()

 -- Slava Monich <slava.monich@jolla.com>  Thu, 25 Nov 2021 18:31:18 +0200

libglibutil (1.0.60) unstable; urgency=low

  * Housekeeping release

 -- Slava Monich <slava.monich@jolla.com>  Mon, 22 Nov 2021 23:37:14 +0200

libglibutil (1.0.58) unstable; urgency=low

  * Don't check upper bound when setting log level from the envvironment

 -- Slava Monich <slava.monich@jolla.com>  Wed, 17 Nov 2021 13:17:45 +0200

libglibutil (1.0.57) unstable; urgency=low

  * Fixed unit tests for older 32-bit systems

 -- Slava Monich <slava.monich@jolla.com>  Mon, 08 Nov 2021 02:28:37 +0200

libglibutil (1.0.56) unstable; urgency=low

  * Added gutil_parse_int64()
  * Added gutil_parse_uint64()

 -- Slava Monich <slava.monich@jolla.com>  Sun, 03 Oct 2021 20:18:15 +0300

libglibutil (1.0.55) unstable; urgency=low

  * Added gutil_log_dump()
  * Added gutil_range_init_with_bytes()
  * Added gutil_range_has_prefix()
  * Added gutil_range_skip_prefix()

 -- Slava Monich <slava.monich@jolla.com>  Sun, 23 May 2021 03:33:58 +0300

libglibutil (1.0.54) unstable; urgency=low

  * Added GUtilRange type
  * Tweaked interpretation of environment variables

 -- Slava Monich <slava.monich@jolla.com>  Mon, 17 May 2021 16:06:25 +0300

libglibutil (1.0.53) unstable; urgency=low

  * Optimized gutil_parse_int()
  * Added gutil_parse_uint()

 -- Slava Monich <slava.monich@jolla.com>  Wed, 05 May 2021 15:30:57 +0300

libglibutil (1.0.52) unstable; urgency=low

  * Added gutil_memdup()

 -- Slava Monich <slava.monich@jolla.com>  Sun, 18 Apr 2021 17:40:41 +0300

libglibutil (1.0.51) unstable; urgency=low

  * Initialize default log settings from the environment
  * Disable timestamps by default
  * Added gutil_log_tid option
  * Added gutil_ptrv_free()

 -- Slava Monich <slava.monich@jolla.com>  Thu, 25 Feb 2021 19:36:05 +0200

libglibutil (1.0.50) unstable; urgency=low

  * Added gutil_ptrv_length()

 -- Slava Monich <slava.monich@jolla.com>  Wed, 28 Oct 2020 17:59:10 +0200

libglibutil (1.0.49) unstable; urgency=low

  * Added gutil_slice_free() macro

 -- Slava Monich <slava.monich@jolla.com>  Sat, 17 Oct 2020 01:01:25 +0300

libglibutil (1.0.48) unstable; urgency=low

  * Make library executable on rpm based systems

 -- Slava Monich <slava.monich@jolla.com>  Mon, 31 Aug 2020 00:07:18 +0300

libglibutil (1.0.47) unstable; urgency=low

  * Added gutil_strv_addv()


