=== test/test_history/Makefile ===
# -*- Mode: makefile-gmake -*-

EXE = test_history

include ../common/Makefile
