=== test/test_idlequeue/Makefile ===
# -*- Mode: makefile-gmake -*-

EXE = test_idlequeue

include ../common/Makefile
