=== test/test_log/Makefile ===
# -*- Mode: makefile-gmake -*-

CFLAGS += -DGLOG_LEVEL_MAX=GLOG_LEVEL_VERBOSE -DGLOG_LEVEL_ASSERT=GLOG_LEVEL_ALWAYS
EXE = test_log

include ../common/Makefile
