=== test/test_misc/Makefile ===
# -*- Mode: makefile-gmake -*-

EXE = test_misc

include ../common/Makefile
