=== test/test_objv/Makefile ===
# -*- Mode: makefile-gmake -*-

EXE = test_objv

include ../common/Makefile
