=== test/test_weakref/Makefile ===
# -*- Mode: makefile-gmake -*-

EXE = test_weakref

include ../common/Makefile
