=== debian/changelog ===
libglibutil (1.0.80-0pureos1) crimson; urgency=medium

  * New upstream release
  * d/control: Bump glib dependency to 2.32
  * d/patches: Revert "Define and use MAKE var instead of explicitly calling make"

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 21 Oct 2025 17:44:40 +0200

libglibutil (1.0.67-0pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 07 Nov 2022 22:33:56 +0100
