=== debian/control ===
Source: libglibutil
Section: libs
Priority: optional
Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
XSBC-Original-Maintainer: Slava Monich <slava.monich@jolla.com>
Build-Depends: debhelper-compat (= 13), libglib2.0-dev (>= 2.32)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/sailfishos/libglibutil
Vcs-Browser: https://source.puri.sm/Librem5/debs/libglibutil
Vcs-Git: https://source.puri.sm/Librem5/debs/libglibutil.git

Package: libglibutil1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libglibutil
Breaks: libglibutil
Description: Library of glib utilities
 Utilities for GLib written for SailfishOS development.

Package: libglibutil-dev
Section: libdevel
Architecture: any
Depends: libglibutil1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libglibutil
 Utilities for GLib written for SailfishOS development.
