## libglibutil 1.0.80+ds

=== debian/changelog ===
libglibutil (1.0.80+ds-1) unstable; urgency=medium

  * initial packaging. (Closes: #1126751)

 -- Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>  Sun, 01 Feb 2026 07:54:02 +0330
