=== debian/control ===
Source: libglibutil
Section: libs
Maintainer: Seyed Mohamad Amin Modaresi <modaresisofthard@proton.me>
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-dev (>= 2.32)
Standards-Version: 4.7.3
Homepage: https://github.com/sailfishos/libglibutil
Vcs-Browser: https://salsa.debian.org/amin_modaresi/libglibutil
Vcs-Git: https://salsa.debian.org/amin_modaresi/libglibutil.git

Package: libglibutil1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library of glib utilities
 Library of glib utilities (shared files)

Package: libglibutil-dev
Section: libdevel
Architecture: any
Depends: libglibutil1 (= ${binary:Version}), ${misc:Depends}
Description: Library of glib utilities
 Library of glib utilities (developent files)
