=== debian/watch ===
Version: 5
Template: Github
Owner: sailfishos
Project: libglibutil
Dversion-Mangle: auto
Repacksuffix: +ds
